BANK MEGA SYARIAH ES Bugs - Feature #3003

[HR-Report Payroll]Pembuatan Report SK Bonus
08/21/2024 10:31 AM - Muhammad Bintar

Status: Closed Start date: 08/21/2024
Priority: High Due date: 08/26/2024
Assignee: shofwan shiddiq % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 8.00 hours
Description

dear tim developer mohon supportnya untuk pembuatan 2 menu surat SK Bonus untuk di tempat kan pada menu module payroll
report dan di ESS Report.
lalu ditambahkan juga field khusus ada 3 field pada master data additional payroll yaitu Start Publish, End Publish dan Nomor SK.

untuk report nya sejauh ini filter nya tampilkan ada 4 di sisi HR nya, yaitu:

Periode StartDate dan Enddate
Nomor SK
EmployeelD

remote.minovais.com:31134
database
remote.minovais.com, 1442
BankMegaSyariahDev

History

#1 - 08/21/2024 10:34 AM - Kezia Pawitra Yulianti
- Status changed from New to Assigned

- Priority changed from Normal to High

revisi sedikit,
untuk tampilan di menu ESS Karyawan, pakainya widget aja ya. sesuai diskusi dgn Aa pagi ini ya.

Tks
#2 - 08/21/2024 04:24 PM - Regina Tasya
sudah dibuatkan menu untuk SK BONUS dimenu payroll report --> SK Bonus

menu id = CSKBONUS
report id = CSKBONUS

ESS SK BONUS

menu id = SKBONUS
report id = SKBONUS

#3 - 08/21/2024 04:46 PM - Regina Tasya
- File clipboard-202408211646-2jugb.png added

sudah menambahakn 3 field di phrpa0005
Payroll Basic Data Raguler Payroll | Additional Payroll | Payroll Benefit

Start Date: 01/01/2022 Nomor SK:

End Date: 310172022 Notes: Erik Test

Wage Type: Do07 Create By: staff1

Number: 1.00000 Create Date: 17/02/2022 17:26:58
Amount: 1 Change By: staffl

Currency: IDR Change Date: 17/02/2022 17:26:58
Flag: Direct

Start Publish:

End Publish:

Overwrite:

#4 - 08/22/2024 12:04 PM - shofwan shiddiq

- File clipboard-202408221152-sqhvg.png added
- File clipboard-202408221200-dycqb.png added
- Status changed from Assigned to QA Test

- Assignee changed from shofwan shiddiq to Muhammad Bintar

Dear Mas Bintar, report SK Bonus sudah di buat dan di deploy yah

SK Bonus

HOME > REPORT

Report Parameter

Report Result

O o P R ey —

Jakarta, 22 August 2024

Nomor: SK.E.03030102/HCMD/2024
Perihal: PEMBERIAN BONUS KINERJA 2024

Kepada Yth,

Sdr/i Laksmy Ferrynasari / NIK 00000003

Di tempat

Assalamualaikum Warahmatullahi Wabarakatuk

Semoga Allah SWT senantiasa melimpahkan rahmat dan hidayah-Nya kepada kita semua, aamiin.

Alhamdulillahirobbil alamin, Pertumbuhan PT Bank Mega Syariah selama periede 2024 telah mampu
berik:

E;r?g:jae;la:; cukup baik meskipun pencapaian secara umum masih jauh dari yang diharapkan
Package
1. Add field NomorSK, StartPublish, dan EndPublish di master data Payroll Benefit
2. Add Combobox di master data employee > file data: tambahkan file type tanda tangan (04)
3. RDL: CSKBONUSGROUPING,SKBONUSGROUPING, SKBONUS
4. SP: CSKBONUSGROUPING,SKBONUSGROUPING, SKBONUS
5. PCMEPGENPARAM > Parameter = SKBONUS

Flow

1. Bonus di ambil dari payroll benefit wage type bonus ( 1010 )

2. SK Number di ambil dari field SK Number di master data payroll benefit

3. Untuk Report ESS, data yang tampil adalah SK Bonus sesuai employee login dan dalam periode publish

4. Untuk Report HR, employee, sk number, dan period dapat di filter sehingga dapat melihat seluruh SK Bonus siapapun dalam periode kapan pun
5. Untuk tanda tangan, daftarkan employee id yang menandatangi surat pada parameter genparam = SKBONUS, foto tanda tangan nya uplaod di
employee master data > file data > Pilih file type nya tanda tangan

#5 - 08/22/2024 01:39 PM - Kezia Pawitra Yulianti

- Assignee changed from Muhammad Bintar to jihad ....

Tolong bantu test yaa Jihad,

untuk requirement bisa diskusi dgn saya sekalian Jihad bawa laptop dan show kesaya seperti apa tampilan nya.
Kalau mau Jihad ngobrol dl ama Aa ya gmn cara kerja fitur ini.

Tks

#6 - 08/22/2024 02:33 PM - jihad ....
- Status changed from QA Test to Assigned

sudah aku test mba, saat ini sedang menunggu widget yang di ESS

#7 - 08/23/2024 08:49 AM - jihad ....

- Assignee changed from jihad .... to shofwan shiddiq

#8 - 08/23/2024 04:04 PM - shofwan shiddiq
- File clipboard-202408231602-rnp7q.png added
- Status changed from Assigned to QA Test

- Assignee changed from shofwan shiddiq to Regina Tasya

Dear, Widget dan Report Surat Keputusan sudah jadi yah, saat ini baru Surat Keputusan Bonus saja yang ada

My Workplace  Business Intelligence Human Resource  System Administration Search Q. Help . minovais ~

R

Welcome back. minovais

B My Workplace 9 Termination ..lII SK Bonus
M Business Intelligence
@@ Human Resource My Profile Surat Keputusan
M System Administration
Full Name
Position Bonus Promosi Mutasi
Job
Grade 1 0 0
User ID
Email Pilih Jenis Surat Keputusan
Telp
et SK Bonus V‘ Go to Report.

Mobile Phone

REVISI

Package

1. Add field NomorSK, StartPublish, dan EndPublish di master data Payroll Benefit

2. Add Combobox di master data employee > file data: tambahkan file type tanda tangan (04)

3. RDL: CSKBONUSGROUPING,SKBONUSGROUPING, SKBONUS, SKMUTASI, SKPROMOSI
4. SP: CSKBONUSGROUPING,SKBONUSGROUPING, SKBONUS, SKMUTASI, SKPROMOSI
5. PCMEPGENPARAM > Parameter = SKBONUS

6. SMESSAGECATALOG > MessagelD = SKBONUS

PACKAGE WIDGET

1. C:\ClientApp\2204 Bank Mega Syariah\UI\Views\Home\Index
2. PCMWFCUSTPARAM: ID = WidgetDashboard

3. SP: WidgetDashboard

*Tambahan Widget Emlpoyee Sebelah nya widget sk

1. PCMWFCUSTPARAM: ID = WidgetEmployee
2. SP: Widget_Employee
Flow SK Bonus

1. Bonus di ambil dari payroll benefit wage type bonus ( 2999)

2. SK Number di ambil dari field SK Number di master data payroll benefit

3. Untuk Report ESS, data yang tampil adalah SK Bonus sesuai employee login dan dalam periode publish

4. Untuk Report HR, employee, sk number, dan period dapat di filter sehingga dapat melihat seluruh SK Bonus siapapun dalam periode kapan pun
5. Untuk tanda tangan, daftarkan employee id yang menandatangi surat pada parameter genparam = SKBONUS, foto tanda tangan nya uplaod di
employee master data > file data > Pilih file type nya tanda tangan

#9 - 08/23/2024 05:47 PM - Regina Tasya
- File clipboard-202408231740-gvjwv.png added
- Status changed from QA Test to Assigned

- Assignee changed from Regina Tasya to shofwan shiddiq

¢ sudah di test tapi untuk tahun yang diambil dari notes Phrpa0005 belum keambil datanya. isian notes phrpa0005 = 2023
employe id :0000001 dan 0000002
*saat di download ke pdf, pagenya jadi 2 halaman,

¢ kemudian untuk bodynya atau isian dari suratnya agar rapi ingin menggunakan justify

Report Results a

K| 1 1 of1 b Pl [ select a format v | Export

KBONUS

Jakarta, 23 August 2024

Momor: SK.E.20010103/HCMD/2024
Perihal: PEMBERIAN BONUS KINERJA 2024

Kepada Yth,
Sdrfi Choy Saptyaning Dhyna / NIK 00000002

Di tempat

Assalamu’alaikum Warahmatullahi Wabarakatuh
Semoga Allah SWT senantiasa melimpahkan rahmat dan hidayah-Nya kepada kita semua, aamiin.

Alhamdulillahirobbil alamin, Pertumbuhan PT Bank Mega Syanah selama periode 2024 telah mampu

ranmbariloan

#10 - 08/23/2024 05:54 PM - Regina Tasya
- File clipboard-202408231752-bxz0b.png added
- File clipboard-202408231754-ds31h.png added

page saat di download jadi 2 halaman
Nomor: SK.E.20010103/HCMD/2024

[ — Ponhal- PEMBERIAN BONIIS KINFR 1A 2024

Nomor: SK.E.20010103/HCMD/2024
Perihal: PEMBERIAN BONUS KINERJA 2024

Kepada Yth,
Sdr/i Choy Saptyaning Dhyna / NIK 00000002

Di tempat

Assalamu’alaikum Warahmatullahi Wabarakatuh
Semoga Allah SWT senantiasa melimpahkan rahmat dan hidayah-Nya kepada kita semua, aamiin.

Alhamdulillahirobbil*alamin, Pertumbuhan PT Bank Mega Syariah selama periode 2024 telah mampu
memberikan
kinerja yang cukup baik meskipun pencapaian secara umum masih jauh dari yang diharapkan.

Manajemen tetap berusaha maksimal untuk bisa memberikan apresiasi kepada pegawal yang secara

Sebagai bentuk apresiasi terhadap pegawai, dengan mempertimbangkan konfribusi dan kinerja unit kerja,
segmen

bisnis serta performance individu, dengan ini manajemen PT Bank Mega Syariah memberikan apresiasi
bonus kepada saudarali sebesar Rp. 5.000.000.-.

Manajemen berharap dengan pemberian bonus kinerja ini dapat menjadi motivasi pegawai untuk
berkontribusi lebih baik dalam rangka mengembangkan bisnis dimasa mendatang.

spesifik benar-benar konsisten memberikan kontribusi kepada perusahaan selama periode kinerja 2024,

Wassalamu'alaikum Warahmatullahi Wabarakatuh
PT Bank Mega Syariah

#11 - 08/23/2024 05:57 PM - shofwan shiddiq

- Assignee changed from shofwan shiddiq to Regina Tasya

Sudah di fixed yah
#12 - 08/26/2024 09:48 AM - Regina Tasya

- Assignee changed from Regina Tasya to Muhammad Bintar
sudah di Qa Test yaa mas bin

#13 - 08/26/2024 03:58 PM - shofwan shiddiq

Tambahan Package:

UPDATE js Export Hanya pdf saja

C:\ClientApp\2204 Bank Mega Syariah\U\app\controller\report\custom\basereport.js
C:\ClientApp\2204 Bank Mega Syariah\Ul\app\view\report\custom\report.js

UPDATE Export PDF di Menu Payslip
C:\ClientApp\2204 Bank Mega Syariah\Ul\app\controller\report\custom\rdireport.js

#14 - 08/27/2024 01:20 PM - Muhammad Bintar
- File clipboard-202408271318-32e6f.png added

- Assignee changed from Muhammad Bintar to shofwan shiddiq

revisi:
8 10.20.82.143 - Remote Desktop Connection

£ Mino X | £ Mine X & Minc X £ Mi 10.20.82.201 £ Minc x |
< C @ localhost:31134/Page/reports?uVp7 Fivk9tTS+kUp) D +eqtZVTD3ILetxznfCR4GUVQg=
My Workplace  Business Infelligence Human Reegurce  System Adminletration Search . Help [__
’ Head Office
Menzra Megz Syarizh
A JI. HR Razuna Said Kaw 194
Jakarta 12950
BANKMEGA T +62 21 2985 2000 | F +52 21 2685 2200
SYARIAH wvewmegasyanah.co.id
B My Workplace Jakarta, 27 August 2024

I Business Intelligence

MNomor: SK.E.SK.103/BM5/2024/HCMD/2024
Perihal: PEMEERIAN BONUS KINERJA TAHUN 2024

Kepada Yth,
T R e Sdrii Sri Handayani Kusumawati / 19.00009357.2.79
Empioyes Administration
T e — Di tempat
Travel Management
Benefit Administration Assalamu’alaikum Warahmatullahi Wabarakatuh

Semoga Allah SWT senantiasa melimpahkan rahmat dan hidayah-Mya kepada kita

SN LT semua, aamiin

Alhamdulillahirobbil’ alamin, Pertumbuhan PT Bank Mega Syariah selama periode 2024

Payroll Contral telah mampu memberikan kinerja yang cukup baik meskipun pencapaian secara umum

masih jauh dari yang diharapkan.

Payroll Process.

Manajemen tetap berusaha maksimal untuk bisa memberikan apresiasi kepada pegawai

B e e yang secara spesifik benar-benar konsisten memberikan kontribusi kepada perusahaan

Generate Payroll Period selama pericde kinerja 2024. Sebagai bentuk apresiasi terhadap pegawai, dengan

mempertimbangkan kontribusi dan kinerja unit kerja, segmen bisnis seria performance

individu, dengan ini manajemen PT Bank Mega Syariah memberikan apresiasi bonus

kepada saudara/i sebesar Rp. 4.067.663 -

Payroll Benefit Report
" Manajemen berharap dengan pemberian bonus kinerja ini dapat menjadi mofivasi pegawai

i untuk berkontribusi lebih baik dalam rangka mengembangkan bisnis di masa mendatang.

Syariah

Payslip

Wassalamu'alaikum Warahmatullahi Wabarakatuh

PT Bank Mega Syariah
Direksi

- Antara paragraf salam dan semoga diberikan space 1 baris

- Nama penandatanganan Surat an. Yuwono Waluyo / President Director
- Format nomor surat sesuai data yg diupload

- Tgl Surat menggunakan bahasa indonesia "August" menjadi "Agustus”

#15 - 08/27/2024 02:45 PM - shofwan shiddiq
- Status changed from Assigned to QA Test

- Assignee changed from shofwan shiddiq to Muhammad Bintar

Dear Mas Bintar, UPDATE sudah di betulkan yah
UPDATE

SP: SKBONUS
RDL: SKBONUS

#16 - 08/29/2024 10:09 AM - Muhammad Bintar
- Status changed from QA Test to Closed

- Assignee changed from Muhammad Bintar to shofwan shiddiq
